NSX-T Data Center REST API

Get a Policy EdgeTransport Node's State info under an Enforcement Point

Returns information about the current state of the edge transport node
configuration and information about the associated edge tn switches.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-transport-nodes/{edge-transport-node-id}/state
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/sites/default/enforcement-points/default/edge-transport-nodes/my-edge-tn-id/state

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PolicyEdgeTransportNodeState+

Example Response:

{ "edge_transport_node_path": "/infra/sites/default/enforcement-points/default/edge-transport-nodes/my-edge-tn-id", "switch_states": [ { "tunnel_endpoints": [ { "device_name": "vmk10", "mac": "msc-id", "label": 48129, "datapath_network_id": "network-16", "tep_group_label": false, "realized_ips": [ { "ip": "153.243.242.83", "default_gateway": "10.161.159.253", "subnet_mask": "255.255.255.0" }, { "ip": "fd00::5:e20", "default_gateway": "fd00::5:e50", "prefix_length": "64" } ] } ], "remote_tunnel_endpoints": [ { "device_name": "vmk10", "mac": "msc-id", "label": 48129, "vlan": 200, "realized_ips": [ { "ip": "153.243.242.84", "default_gateway": "10.161.159.253", "subnet_mask": "255.255.255.0" } ] } ] } ], "management_interface_state": [ { "realized_ips": [ { "default_gateway_address": "10.218.138.100", "ipv4_assignment_type": "DHCPV4", "ip": "10.218.138.183" }, { "default_gateway_address": "fd00::5:50", "ipv4_assignment_type": "STATIC", "ip": "fd00::5:41" } ], "managment_network_id": "network-16" } ], "appliance_state": { "search_domains": [ "search-domain.com" ], "ntp_servers": [ "ntp-server.com" ], "dns_servers": [ "10.191.197.65" ], "syslog_servers": [], "allow_ssh_root_login": false, "enable_ssh": true, "enable_upt_mode": true }, "maintenance_mode_state": "DISABLED", "edge_tn_state": { "edge_deployment_state": "success", "publish_state": "success", "overall_state": "success", "details": [] } }

Required Permissions:

read

Feature:

nodes_transport_nodes

Additional Errors: